#!/usr/bin/env ruby
require "fileutils"

# change dir to home folder: https://ruby-doc.org/core-2.7.1/Dir.html
# to find the path to your folder can type: pwd
Dir.chdir("/data")

# Make sure the output folder exists
FileUtils.mkdir_p "./coni_bams/"

# get an array of files to use
gzfiles = Dir.glob(File.join("**", "coni_sams", "*.sam"))

# run through the files and execute commands
gzfiles.each do |gz_file_path|
  # gsub is a find and replace
  output_filename = gz_file_path.gsub("coni_sams", "coni_bams").gsub(".sam", ".bam")
  %x[samtools view -bS #{gz_file_path} > #{output_filename}]
end
